# ``twisted`.`internet`.`error`.`InvalidAddressError``

class documentation

`class InvalidAddressError(ValueError): (source)`

View In Hierarchy

An invalid address was specified (i.e. neither IPv4 or IPv6, or expected one and got the other).

Method | `__init__` | No summary
Instance Variable | `address` | See `__init__`
Instance Variable | `message` | See `__init__`

def __init__(self, address, message): (source)

Parameters
address:`str` | The address that was provided.
message | A native string of additional information provided by the calling context.

address = (source)
See `__init__`
message = (source)
See `__init__`